# lnx-ps2.h File Reference

Go to the source code of this file.

## Functions

pointer | ps2LinuxCreatePrivate (DeviceIntPtr pMouse)
void | ps2LinuxDestroyPrivate (pointer priv)
void | ps2LinuxInit (DevicePtr pDev)
void | ps2LinuxGetInfo (DevicePtr pDev, DMXLocalInitInfoPtr info)
int | ps2LinuxOn (DevicePtr pDev)
void | ps2LinuxOff (DevicePtr pDev)
void | ps2LinuxVTPreSwitch (pointer p)
void | ps2LinuxVTPostSwitch (pointer p)

## Detailed Description

Interface to Linux PS/2 mouse driver.

See also:
  lnx-ps2.c

## Function Documentation

pointer ps2LinuxCreatePrivate | ( | DeviceIntPtr | pMouse | ) |

| Create a private structure for use within this file.

void ps2LinuxDestroyPrivate | ( | pointer | priv | ) |

| Destroy a private structure.

void ps2LinuxGetInfo | ( | DevicePtr | pDev,
|  | DMXLocalInitInfoPtr | info
| ) |

| Fill the info structure with information needed to initialize pDev.

void ps2LinuxInit | ( | DevicePtr | pDev | ) |

| Initialize pDev.

void ps2LinuxOff | ( | DevicePtr | pDev | ) |

| Turn pDev off (i.e., stop taking input from pDev).

int ps2LinuxOn | ( | DevicePtr | pDev | ) |

| Turn pDev on (i.e., take input from pDev).

void ps2LinuxVTPostSwitch | ( | pointer | p | ) |

| Currently unused hook called after returning from a VT switch.

void ps2LinuxVTPreSwitch | ( | pointer | p | ) |

| Currently unused hook called prior to an VT switch.

Generated June 29, 2004 for Distributed Multihead X by doxygen 1.3.4. </addres>